QXmpp: QXmppVersionManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | List of all members
QXmppVersionManager Class Reference
Managers

The QXmppVersionManager class makes it possible to request for the software version of an entity as defined by XEP-0092: Software Version. More...

`#include <QXmppVersionManager.h>`

Inheritance diagram for QXmppVersionManager:

## Signals
void | versionReceived (const QXmppVersionIq &)
| This signal is emitted when a version response is received.

## Public Member Functions
QString | requestVersion (const QString &jid)
void | setClientName (const QString &)
void | setClientVersion (const QString &)
void | setClientOs (const QString &)
QString | clientName () const
QString | clientVersion () const
QString | clientOs () const
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppVersionManager class makes it possible to request for the software version of an entity as defined by XEP-0092: Software Version.

## Member Function Documentation

QString QXmppVersionManager::clientName | ( |  | ) | const

Returns the local XMPP client's name.

By default this is set to the QApplication::applicationName(), or "Based on QXmpp" if not specified.

QString QXmppVersionManager::clientOs | ( |  | ) | const

Returns the local XMPP client's operating system.

By default this is "Linux", "Mac OS", "Symbian" or "Windows" depending on the platform QXmpp was compiled for.

QString QXmppVersionManager::clientVersion | ( |  | ) | const

Returns the local XMPP client's version.

By default this is set to QApplication::applicationVersion(), or QXmpp's version if not specified.

QString QXmppVersionManager::requestVersion | ( | const QString & | jid | ) |

Request version information from the specified XMPP entity.

Parameters

  jid |

void QXmppVersionManager::setClientName | ( | const QString & | name | ) |

Sets the local XMPP client's name.

Parameters

  name |

void QXmppVersionManager::setClientOs | ( | const QString & | os | ) |

Sets the local XMPP client's operating system.

Parameters

  os |

void QXmppVersionManager::setClientVersion | ( | const QString & | version | ) |

Sets the local XMPP client's version.

Parameters

  version |

The documentation for this class was generated from the following files:

- QXmppVersionManager.h
- QXmppVersionManager.cpp